import { jsx } from "react/jsx-runtime";
import { TokenWNXM as TokenWNXM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWNXM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "WNXM", "data-name": "TokenWNXM", ...props, children: /* @__PURE__ */ jsx(TokenWNXM$1, { variant }) });
  }
);
TokenWNXM.displayName = "TokenWNXM";
Object.assign(TokenWNXM, { isGdsIcon: true });
export {
  TokenWNXM
};
